<?php 
/*
Plugin Name: DealDotCom
Plugin URI: http://blog.bluefur.com/dealdotcom
Description: A simple Plugin to add a <a href="http://www.dealdotcom.com/invite/9774/" title="DealDotCom" target="_blank">DealDotCom</a> Widget to your Blog. <a href="options-general.php?page=dealdotoptions" title="Configure DealDotCom Plugin">Configure</a>.
Version: 0.9
Author: BlueFur.com
Author URI: http://www.bluefur.com/
*/

// Do the Activate Dance...
// This is needed to add settings for storing (caching) the deal of the day from DealDotCom.
// We will create the "options" and fill them with the current deal and setup a pseudo-cron job to refresh the cache at 12:05 AM Central Time daily.

function activate_dealdotcom() {

	// Get today's deal
	$url = 'http://www.dealdotcom.com/wp';
	$output = file_get_contents($url);
	$snip = explode("<br>", $output);
	$name_value =  $snip[0];
	$price_value = $snip[1];
	$photo_value = $snip[2];

	add_option( 'dealdotcom_name', $name_value, 'DealDotCom Deal of the Day Item Name', 'no' );
	add_option( 'dealdotcom_price', $price_value, 'DealDotCom Deal of the Day Item Price', 'no' );
	add_option( 'dealdotcom_photo', $photo_value, 'DealDotCom Deal of the Day Item Photo', 'no' );

	if ( function_exists( 'wp_schedule_event' ) ) {

		if ( !wp_next_scheduled( 'dealdotcom_update_hook' ) ) {

			wp_schedule_event( time()+60, 'hourly', 'dealdotcom_update_hook' );

		}

	} else {

		die("Error: WordPress 2.1 or higher is required to run this Plugin.");

	}

}

add_action( 'dealdotcom_update_hook', 'dealdotcom_update' );

register_activation_hook( __FILE__, 'activate_dealdotcom' );

function deactivate_dealdotcom() {

	delete_option( 'dealdotcom_name' );
	delete_option( 'dealdotcom_price' );
	delete_option( 'dealdotcom_photo' );

		if ( wp_next_scheduled( 'dealdotcom_update_hook' ) ) {
			wp_clear_scheduled_hook( 'dealdotcom_update_hook' );
		}

}

register_deactivation_hook( __FILE__, 'deactivate_dealdotcom' );

function dealdotcom_update() {

	// It is or after 12:05 AM (Central) or the user has hit the manual update button, get the new deal and put it in the database

	// Get today's deal
	$url = 'http://www.dealdotcom.com/wp';
	$output = file_get_contents($url);
	$snip = explode("<br>", $output);
	$name_value =  $snip[0];
	$price_value = $snip[1];
	$photo_value = $snip[2];

	update_option( 'dealdotcom_name', $name_value );
	update_option( 'dealdotcom_price', $price_value );
	update_option( 'dealdotcom_photo', $photo_value );

}


function dealdotcom() {

	global $wp, $dealdotcom_settings, $feed, $withcomments;

	// Replace below with your own link
	$alink = $dealdotcom_settings['dealdotcom_url'];

	// Edit border colours
	$bcolour = $dealdotcom_settings['dealdotcom_bcolour'];

	// Edit font colours
	$fcolour = $dealdotcom_settings['dealdotcom_tcolour'];

	// Edit plugin style
	$pstyle = $dealdotcom_settings['dealdotcom_pstyle'];

	// Edit plugin image type
	$itype = $dealdotcom_settings['dealdotcom_itype'];

	// Edit plugin width
	$pwidth = $dealdotcom_settings['dealdotcom_pwidth'];

	// Edit plugin alignment
	$palign = $dealdotcom_settings['dealdotcom_palign'];
	if ($palign==1)
	{
	$ppp='left';
	}
	if ($palign==2)
	{
	$ppp='center';
	}
	if ($palign==3)
	{
	$ppp='right';
	}	

	$pname = get_option( 'dealdotcom_name' );
	$price = get_option( 'dealdotcom_price' );
	$photo = get_option( 'dealdotcom_photo' );
	if ($itype=='2')
        {
        $photo="". get_bloginfo( 'wpurl' ) . "/wp-content/plugins/dealdotcom/dealdotcom-default.jpg";
        }


	// Widget 125 by 125
	if ( $pstyle == 1 ) {
	echo "<div align='$ppp'>
	<table cellpadding='0' cellspacing='0' id='dealdotcom-widget' style='width: " . $pwidth . "px; border: 1px solid #" . $bcolour . "; padding-left: 4px; padding-right: 

4px; padding-top: 1px; padding-bottom: 1px;'>
	<tr>
		<td><a href='$alink' title='$pname' rel='nofollow'><span style='color: #" . $fcolour . "; font-weight: 400;'>$pname</span></a></td>
	</tr>
	<tr>
		<td><img src='" . get_bloginfo( 'wpurl' ) . "/wp-content/plugins/dealdotcom/spacer.gif' border='0' alt='' style='height: 2px; width: 1px; border: 0;' /></td>
	</tr>
	<tr>
		<td><a href='$alink' title='$pname' rel='nofollow'><img src='$photo' border='0' alt='$pname' style='width: 125px; border: 0;' /></a></td>
	</tr>
	<tr>
		<td><img src='" . get_bloginfo( 'wpurl' ) . "/wp-content/plugins/dealdotcom/spacer.gif' alt='' border='0' style='height: 2px; width: 1px; border: 0;' /></td>
	</tr>
	<tr>
		<td><a href='$alink' title='DealDotCom' rel='nofollow'><span style='color: #" . $fcolour . "; font-weight: 700;'>DealDotCom</span></a></td>
	</tr>
	<tr>
		<td><a href='$alink' title='Price $" . $price . "' rel='nofollow'><span style='color: #" . $fcolour . "; font-weight: 700;'>Price $" . $price . "</span></a></td>
	</tr>
	<tr>
		<td><a href='$alink' title='Buy it Now!' rel='nofollow'><span style='color: #" . $fcolour . "; font-weight: 700;'>Buy it Now!</span></a></td>
	</tr>
</table>
</div>";
}

	elseif ($pstyle == 3) {
		echo "<div align='$ppp'>
<table cellpadding='0' cellspacing='0' style='width: 468px; height: 60px; background-color: #FFF; border: 1px solid #FF9900;'>
	<tr>
		<td style='width: 224px; text-align: left; valign: top;'><a href='$alink' title='$pname' rel='nofollow'><img src='" . get_bloginfo( 'wpurl' ) . "/wp-

content/plugins/dealdotcom/dealdotcom-left-58.gif' alt='DealDotCom'border='0' style='width: 224px; height: 58px; border: 0;' align='top' /></a></td>
		<td width='242' valign='bottom'>
			<table width='242' height='58' border='0' align='right' cellpadding='0' cellspacing='0'>
				<tr>
				       <td style='text-align: center; valign: top;'><a href='$alink' title='$pname' rel='nofollow'><span style='color: #" . $fcolour . "; font-

weight: 700; text-decoration: none;'>$pname</span></a><br /><a href='$alink' title='Buy Now Price $" . $price . "' rel='nofollow'><span style='color: #" . $fcolour . "; font-

weight: 700; text-decoration: none;'>Buy Now Price $" . $price . "</span></a></td>
					<td style='width: 60px; text-align: right; valign: bottom;'><a href='$alink' rel='nofollow'><img src='$photo' border='0' alt='$pname' 

style='max-width: 58px; max-height: 58px; width: expression(this.width > 58 ? 58 : true); height: expression(this.height > 58 ? 58 : true); margin-right: 0px; border: 0; valign: 

bottom;' /></a></td>
				</tr>
			</table>
		</td>
	</tr>
</table></div>";
}
else
{
		echo "<div align='$ppp'><table cellpadding='0' cellspacing='0' style='width: 150px; background-color: #FFF; border: 1px solid #FF9900;'>
	<tr>
		<td style='width: 148px; text-align: center; valign: top;'><a href='$alink' title='$pname' rel='nofollow'><img src='" . get_bloginfo( 'wpurl' ) . "/wp-

content/plugins/dealdotcom/dealdotcom-top.gif' border='0' alt='DealDotCom' style='width: 148px; height: 75px; border: 0;' align='top' /></a>
			<p><a href='$alink' title='$pname' rel='nofollow'><span style='color: #" . $fcolour . "; font-weight: 700; padding-left: 2px; padding-right: 2px; text-

decoration: none;'>$pname</span></a></p>
			<p><a href='$alink' title='$pname' rel='nofollow'><img src='$photo' alt='$pname' border='0' style='max-width: 140px; max-height: 140px; width: 

expression(this.width > 140 ? 140 : true); height: expression(this.height > 140 ? 140 : true); margin-top: 10px; margin-bottom: 10px; border: 0;' /></a></p>
			<p><a href='$alink' title='Buy Now Price $" . $price . "' rel='nofollow'><span style='color: #" . $fcolour . "; font-weight: 700;'>Buy Now Price $" . 

$price . "</span></a><br /></p>
			<a href='$alink' title='$pname' rel='nofollow'><img src='" . get_bloginfo( 'wpurl' ) . "/wp-content/plugins/dealdotcom/dealdotcom-bottom.gif' border='0' 

alt='DealDotCom' style='width: 148px; height: 25px; border: 0; align:bottom;' /></a></td>
	</tr>
</table></div>";

	}

}

$data = array(
	'dealdotcom_url' => '',
	'dealdotcom_bcolour' => '',
	'dealdotcom_tcolour' => ''
	);

$ol_flash = '';

add_action( 'admin_menu', 'dealdotcom_add_pages' );

$dealdotcom_settings = get_option( 'dealdotcom_settings' );

function dealdotcom_add_pages() {

	// Add a new submenu under Options:
	add_options_page( 'DealDotCom', 'DealDotCom', 8, 'dealdotoptions', 'dealdotcom_options_page' );

}

// mt_options_page() displays the page content for the Test Options submenu
function dealdotcom_options_page() {

	global $ol_flash, $dealdotcom_settings, $_POST, $wp_rewrite;

	if ( isset($_POST['dealdotcom_url']) ) {

		$dealdotcom_settings['dealdotcom_url'] = $_POST['dealdotcom_url'];
		update_option( 'dealdotcom_settings', $dealdotcom_settings );
		$ol_flash = "Your settings have been saved.";

	}

	if ( isset($_POST['dealdotcom_tcolour']) ) {

		$dealdotcom_settings['dealdotcom_tcolour'] = $_POST['dealdotcom_tcolour'];
		update_option( 'dealdotcom_settings', $dealdotcom_settings );
		$ol_flash = "Your settings have been saved.";

	}

	if ( isset($_POST['dealdotcom_bcolour']) ) {

		$dealdotcom_settings['dealdotcom_bcolour'] = $_POST['dealdotcom_bcolour'];
		update_option( 'dealdotcom_settings', $dealdotcom_settings );
		$ol_flash = "Your settings have been saved.";

	}

	if ( isset($_POST['dealdotcom_pstyle']) ) {

		$dealdotcom_settings['dealdotcom_pstyle'] = $_POST['dealdotcom_pstyle'];
		update_option( 'dealdotcom_settings', $dealdotcom_settings );
		$ol_flash = "Your settings have been saved.";

	}

	if ( isset($_POST['dealdotcom_pwidth']) ) {

		$dealdotcom_settings['dealdotcom_pwidth'] = $_POST['dealdotcom_pwidth'];
		update_option( 'dealdotcom_settings', $dealdotcom_settings );
		$ol_flash = "Your settings have been saved.";

	}

	if ( isset($_POST['dealdotcom_palign']) ) {

                $dealdotcom_settings['dealdotcom_palign'] = $_POST['dealdotcom_palign'];
                update_option( 'dealdotcom_settings', $dealdotcom_settings );
                $ol_flash = "Your settings have been saved.";

        }


	if ( isset($_POST['dealdotcom_itype']) ) {

                $dealdotcom_settings['dealdotcom_itype'] = $_POST['dealdotcom_itype'];
                update_option( 'dealdotcom_settings', $dealdotcom_settings );
                $ol_flash = "Your settings have been saved.";

        }


	if ( $_POST['dealdotcom_update'] ) {

		dealdotcom_update();
		$ol_flash = "The Deal of the Day has been updated.";

	}


	if ( $ol_flash != '' ) echo '<div id="message" class="updated fade"><p>' . $ol_flash . '</p></div>';

	if ( $dealdotcom_settings['dealdotcom_pstyle'] == 1 ) {

		$sel1='checked';

	} elseif ( $dealdotcom_settings['dealdotcom_pstyle'] == 3 ) {

		$sel3='checked';
	
	} else {

		$sel2='checked';

	}

	if ( $dealdotcom_settings['dealdotcom_palign'] == 1 ) {

                $sela1='checked';

        } elseif ( $dealdotcom_settings['dealdotcom_palign'] == 3 ) {

                $sela3='checked';

        } else {

                $sela2='checked';

        }

	if ( $dealdotcom_settings['dealdotcom_itype'] == 1 ) {

                $selb1='checked';

        } elseif ( $dealdotcom_settings['dealdotcom_itype'] == 2 ) {

                $selb2='checked';

        } else {

                $selb1='checked';

        }



	echo '<div class="wrap">
<h2>Set Up Your DealDotCom Widget</h2>

	<p>This plugin makes it easy to add the daily DealDotCom to your site.</p>
		<form action="" method="post">
			<ol>
				<li>To get started, <a href="http://www.dealdotcom.com/invite/9774/" title="DealDotCom" target="_blank">create a DealDotCom account for ' . 

get_bloginfo('name') . '</a>.</li>
				<li>Once you have created your DealDotCom account, enter your affiliate link field below (eg. http://www.dealdotcom.com/invite/9774/):<br 

/><input type="text" id="dealdotcom_url" name="dealdotcom_url" value="' . htmlentities($dealdotcom_settings['dealdotcom_url']) . '" size="45" /></li>
				<li>Customize your DealDotCom plugin text Colour (eg. FF0000)  below:<br /><input type="text" id="dealdotcom_tcolour" name="dealdotcom_tcolour" 

value="' . htmlentities($dealdotcom_settings['dealdotcom_tcolour']) . '" size="45" /></li>
				<li>Customize your DealDotCom plugin border Colour (eg. FF0000)  below:<br /><input type="text" id="dealdotcom_bcolour" name="dealdotcom_bcolour" 

value="' . htmlentities($dealdotcom_settings['dealdotcom_bcolour']) . '" size="45" /></li>
				<li>Customize your DealDotCom plugin width  below:<br /><input type="text" id="dealdotcom_pwidth" name="dealdotcom_pwidth" value="' . 

htmlentities($dealdotcom_settings['dealdotcom_pwidth']) . '" size="45" /></li>
				<li>Choose your plugin style.<br /><input type="radio" id="dealdotcom_pstyle" name="dealdotcom_pstyle" value="1" ' . $sel1 . ' />Basic Vertical 

Text &nbsp; &nbsp;<input type="radio" id="dealdotcom_pstyle" name="dealdotcom_pstyle" value="2" '. $sel2 . '  />Vertical Graphic &nbsp; &nbsp;<input type="radio" 

id="dealdotcom_pstyle" name="dealdotcom_pstyle" value="3" '. $sel3 . '  />Horizontal Graphic</li>
				<li>Choose your plugin alignment.<br /><input type="radio" id="dealdotcom_palign" name="dealdotcom_palign" value="1" ' . $sela1 . ' />Left&nbsp; 

&nbsp;<input type="radio" id="dealdotcom_palign" name="dealdotcom_palign" value="2" '. $sela2 . '  />Center &nbsp; &nbsp;<input type="radio" id="dealdotcom_palign" 

name="dealdotcom_palign" value="3" '. $sela3 . '  />Right</li>
<li>Choose your plugin image type.<br /><input type="radio" id="dealdotcom_itype" name="dealdotcom_itype" value="1" ' . $selb1 . ' />Dynamic&nbsp; 

&nbsp;<input type="radio" id="dealdotcom_itype" name="dealdotcom_itype" value="2" '. $selb2 . '  />Static</li>
				<li>Paste this code into your sidebar where you want the Widget to be displayed:<br /><code>&lt;?php <br />if ( function_exists( \'dealdotcom\' ) 

) {<br />dealdotcom();<br />}<br />?&gt;</code></li>
			</ol>
			<p><input type="submit" value="Save" /></p>
		</form>

<h3>Manual Update</h3>

	<p>By default, this plugin automatically updates everyday with the new deal. But, if something goes wrong (eg. DealDotCom is late in updating the deal) you can click the 

button below and an update will be triggered.</p>


		<form action="" method="post">
			<input type="submit" id="dealdotcom_update" name="dealdotcom_update" value="Manual Update" />
		</form>

	<p>Graphic Banners Created by Rainer from <a href="http://www.blog.trbn.com/" title="Thinkreferrals Business Network" target="_blank">Thinkreferrals Business Network</a> and additional features added by <a href="http://mattsblog.ca" title="Matt" target="_blank">Matt</a>.</p>

</div>';

}

?>
