<?php 
/*
Plugin Name: DealDotCom Sidebar Widget
Plugin URI: http://blog.bluefur.com/dealdotcom
Description: Adds a sidebar widget for the DealDotCom Widget Plugin.
Version: 0.1
Author: BlueFur.com
Author URI: http://www.bluefur.com
*/

function widget_dealdotcom_init() {

	if ( !function_exists('register_sidebar_widget') )
		return;

	function widget_dealdotcom($args) {

		extract($args);

		$options = get_option( 'widget_dealdotcom' );
		$title = $options['title'];

		echo $before_widget . $before_title . $title . $after_title;

		if ( function_exists( 'dealdotcom' ) ) {

			dealdotcom();

		} else {

			echo "";

		}

		echo $after_widget;
	}

	function widget_dealdotcom_control() {

		$options = get_option( 'widget_dealdotcom' );

		if ( !is_array($options) )
			$options = array('title'=>'');

		if ( $_POST['dealdotcom-submit'] ) {

			// Remember to sanitize and format use input appropriately.
			$options['title'] = strip_tags(stripslashes($_POST['dealdotcom-title']));
			update_option( 'widget_dealdotcom', $options );

		}

		// Be sure you format your options to be valid HTML attributes.
		$title = htmlspecialchars($options['title'], ENT_QUOTES);
		$buttontext = htmlspecialchars($options['buttontext'], ENT_QUOTES);
		
		// Here is our little form segment. Notice that we don't need a
		// complete form. This will be embedded into the existing form.
		echo '<p style="text-align:right;"><label for="dealdotcom-title">' . __('Title:') . ' <input style="width: 200px;" id="dealdotcom-title" name="dealdotcom-title" type="text" value="'.$title.'" /></label></p>';
		echo '<input type="hidden" id="dealdotcom-submit" name="dealdotcom-submit" value="1" />';

	}

	register_sidebar_widget(array('DealDotCom', 'widgets'), 'widget_dealdotcom');

	register_widget_control(array('DealDotCom', 'widgets'), 'widget_dealdotcom_control', 300, 100);

}

add_action( 'widgets_init', 'widget_dealdotcom_init' );

?>